Subject: Re: bug#48659: Escapes are deleted after executing "dired-toggle-read-only" in *Find* buffer

From: Rodrigo Morales <[email-masked]>
Date: Wed, 26 May 2021 18:55:14 -0500

Eli Zaretskii <[email-masked]> writes:

> I tried also Emacs 27.2 on Trisquel.
>
> Can anyone else reproduce this strange problem?  I don't see how we
> could debug this without being able to reproduce.

Here you have two recordings that might make things clearer. Perhaps, I
wasn't clear enough in the first messaage I sent and that's why you are
not able to reproduce it, so I hope these recordings will present more
context regarding this "possible bug".

In the following GIF, you can see that spaces are removed after having
finished editing the dired buffer through "dired-toggle-read-only". This
can be seen in the output of the "watch" command that is shown in the
running shell at the right side.

In the following GIF, you can see that this problem can be avoided by
removing each "\" character which are present before each space character
in filenames.